### Method

# Gio MenuModel get_item_link

since: 2.32

#### Declaration [src]

    GMenuModel*
    g_menu_model_get_item_link (
      GMenuModel* model,
      gint item_index,
      const gchar* link
    )

#### Description [src]

Queries the item at position `item_index` in `model` for the link specified by `link`.

If the link exists, the linked `GMenuModel` is returned. If the link does not exist, `NULL` is returned.

Available since: 2.32

#### Parameters

`item_index`

  Type: `gint`

  The index of the item.

`link`

  Type: `const gchar*`

  The link to query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GMenuModel`

The linked `GMenuModel`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.